
QGIS Application - Bug report #19916

Localization is broken in Linux

2018-09-21 08:45 PM - Borys Jurgiel

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Translations and international

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Debian and Mint Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27740

Description

Since about September 17-19 (last Monday-Wednesday) localization is completely gone from master.

Confirmed with:

 1. self-compiled master on Debian

 2. ubuntugis-nightly on Mint 

 3. #19879-4

The qm files are present and valid, but just ignored.

Related issues:

Related to QGIS Application - Bug report # 19879: It's not possible to overri... Closed 2018-09-18

Associated revisions

Revision 9c5d397b - 2018-09-22 07:50 PM - Jürgen Fischer

reorder application initialization (fixes #19879, #19916, followup d6795818)

Revision 469b4b4a - 2018-09-24 12:22 AM - Nyall Dawson

Revert "reorder application initialization (fixes #19879, #19916, followup d6795818)"

This reverts commit 9c5d397b4d4ce12cb81f05955760a18c213a8566

The commit broke every test on Travis ;)

Revision 6ecb08c4 - 2018-09-24 02:13 AM - Jürgen Fischer

Revert "Revert "reorder application initialization (fixes #19879, #19916, followup d6795818)""

This reverts commit 469b4b4a57fb2c30441b5de393662cdde36031b2.

History

#1 - 2018-09-21 08:46 PM - Borys Jurgiel

- Related to Bug report #19879: It's not possible to override system locale added

#2 - 2018-09-21 08:53 PM - Borys Jurgiel

- Assignee changed from QGIS Translation Team to Jürgen Fischer
Jürgen, isn't it caused by that commit:d67958183eca9674bd367b4b7835e4b05339a043?

#3 - 2018-09-21 08:57 PM - Borys Jurgiel

- Subject changed from localization is broken Linux to Localization is broken in Linux

#4 - 2018-09-21 10:30 PM - Jürgen Fischer

- Description updated

#5 - 2018-09-22 07:51 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|9c5d397b4d4ce12cb81f05955760a18c213a8566.
